package com.hxhq.business.enums.zykgl;

/**
 * 是否同意修改库存：1：拒绝修改库存；10：同意修改库存
 * @author tanfei
 */
public enum ShXgkcEnum {

    /**
     * 拒绝修改库存
     */
    jj(1, "拒绝修改库存"),

    /**
     * 同意修改库存
     */
    ty(10, "同意修改库存");

    private int value;
    private String text;

    ShXgkcEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static ShXgkcEnum getEnumByValue(int type) {
        for (ShXgkcEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
